import BaseCurdEntry from './BaseCurdEntry'

import tagCodeApi from '@@/api/TagCodeApi'

export default class TagCode extends BaseCurdEntry {
  orderNo

  serialNumber
  get formatSerialNumber () {
    const { serialNumber } = this
    return serialNumber ? serialNumber.join('-') : ''
  }

  dataTime
  get formatDataTime () {
    return new Date(this.dataTime).format('YYYY-MM-DD')
  }

  receiveDate
  get formatReceiveDate () {
    const { receiveDate } = this
    return receiveDate ? new Date(receiveDate).format('YYYY-MM-DD') : ''
  }

  providerName

  tagTypeName

  number

  amount

  tagApplyStateName

  operatorName

  static get $$api () {
    return tagCodeApi
  }
}
